/*---------------------------------------------------------------------------*
 *
 * Project:	fXPlayMidi
 *
 * $RCSfile: fmOptions_cb.c,v $
 * $Date: 1997/04/26 08:25:16 $
 * $Author: klmcw $
 * $Revision: 1.4 $
 *
 *---------------------------------------------------------------------------*
 * $Log: fmOptions_cb.c,v $
 * Revision 1.4  1997/04/26 08:25:16  klmcw
 * Removed support for Device option.
 *
 * Revision 1.3  1996/03/20 20:10:24  klmcw
 * Added fmOptions_atClose().
 *
 * Revision 1.2  1996/03/09 08:22:40  klmcw
 * Added firsttime special case to prompt for options when they don't exist yet.
 * Added code to save album upon exit if it has changed.
 *
 * Revision 1.1  1996/02/26 02:24:32  klmcw
 * Initial revision
 *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
#include "fXPlayMidi.h"
#include "album.h"
#include "options.h"

/*---------------------------------------------------------------------------*/
/* callbacks for form fmOptions */
void
btOptionsOk_cb(FL_OBJECT *ob, long data)
{
  XPMApp_t *App = (XPMApp_t *)ob->form->u_vdata;
  FD_fmOptions *fmOp = App->Options;

  fl_hide_form(ob->form);
  optionsAlbumSet(fl_get_input(fmOp->inOptionsAlbum));
  optionsDirSet(fl_get_input(fmOp->inOptionsDir));
  optionsBaseCmdSet(fl_get_input(fmOp->inBaseCmd));
  optionsResetCmdSet(fl_get_input(fmOp->inResetCmd));
  optionsRandomSet(fl_get_button(fmOp->btRandom));
  optionsRepeatSet(fl_get_button(fmOp->btRepeat));

  optionsWrite(App);
}
/*---------------------------------------------------------------------------*/
void
btOptionsAlbumLoad_cb(FL_OBJECT *ob, long data)
{
  albumSelect(ob->form->u_vdata, 0);
}
/*---------------------------------------------------------------------------*/
void
btOptionsDir_cb(FL_OBJECT *ob, long data)
{
  if(fl_show_fselector("fXPlayMidi Select Default Directory", optionsDirGet(), "", ".") != NULL)
    fl_set_input(((XPMApp_t *)ob->form->u_vdata)->Options->inOptionsDir, fl_get_directory());
}
/*---------------------------------------------------------------------------*/
void
btOptionsCancel_cb(FL_OBJECT *ob, long data)
{
  fl_hide_form(ob->form);
}
/*---------------------------------------------------------------------------*/
int
fmOptions_atClose(FL_FORM *fm, void *data)
{
  fl_hide_form(fm);

  return(FL_IGNORE);
}
/*---------------------------------------------------------------------------*/
